List comments for an entity and branch
curl --request GET \
--url https://api.korint.io/comments/{entityId}/list \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/comments/{entityId}/list"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/comments/{entityId}/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "<string>",
"id": "<string>",
"entityId": "<string>",
"branchId": "<string>",
"comment": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": {},
"kind": "GENERIC",
"authorUserId": {}
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}comments
List comments for an entity and branch
GET
/
comments
/
{entityId}
/
list
List comments for an entity and branch
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Id of the entity (policy, customer, branch, ...)
Query Parameters
Optional: the branchId
Pattern:
^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$the number of items to return
the page to retrieve
Response
200 - application/json
Was this page helpful?

